package org.nakedobjects.nof.reflect.remote.data;

import org.nakedobjects.noa.adapter.Version;


public class DummyClientResultData implements ClientActionResultData {
    private final ReferenceData[] persistedObjects;
    private final Version[] changedVersion;
    private final ObjectData[] updates;

    public DummyClientResultData(final ReferenceData[] madePersistent, final Version[] changedVersion, final ObjectData[] updates) {
        this.persistedObjects = madePersistent;
        this.changedVersion = changedVersion;
        this.updates = updates;
    }

    public ReferenceData[] getPersisted() {
        return persistedObjects;
    }

    public Version[] getChanged() {
        return changedVersion;
    }
    
    public ObjectData[] getUpdates() {
        return updates;
    }

}
// Copyright (c) Naked Objects Group Ltd.
