package org.nakedobjects.nof.reflect.remote.spec;

import org.nakedobjects.noa.adapter.Naked;
import org.nakedobjects.noa.adapter.NakedObject;
import org.nakedobjects.noa.adapter.NakedReference;
import org.nakedobjects.noa.reflect.Consent;
import org.nakedobjects.noa.spec.NakedObjectSpecification;
import org.nakedobjects.nof.core.reflect.Allow;
import org.nakedobjects.nof.reflect.spec.AbstractNakedObjectField;
import org.nakedobjects.testing.DummyNakedObject;


public class DummyField extends AbstractNakedObjectField {
  
    public DummyField(final String name, final NakedObjectSpecification spec) {
        super(name, spec);
    }

    public String debugData() {
        return "";
    }

    public Naked get(final NakedObject fromObject) {
        return ((DummyNakedObject) fromObject).getField(this); //contentObject;
    }

    public String getBusinessKeyName() {
        return null;
    }

    public String getDescription() {
        return null;
    }

    public String getHelp() {
        return null;
    }

    public String getName() {
        return null;
    }

    public boolean isCollection() {
        return getSpecification().getType() == NakedObjectSpecification.COLLECTION;
    }
    
    public boolean isPersisted() {
        return true;
    }

    public boolean isEmpty(final NakedObject adapter) {
        return false;
    }
    
    public boolean isObject() {
        return getSpecification().getType() == NakedObjectSpecification.OBJECT;
    }

    public boolean isOptionEnable() {
        return false;
    }
    
    public Consent isUsableDeclaratively() {
        return Allow.DEFAULT;
    }

    public Consent isUsableForSession() {
        return Allow.DEFAULT;
    }

    public Consent isUsable(final NakedReference target) {
        return null;
    }

    public boolean isValue() {
        return getSpecification().getType() == NakedObjectSpecification.VALUE;
    }

    public boolean isVisibleDeclaratively() {
        return true;
    }
    
    public boolean isVisibleForSession() {
        return true;
    }
    
    public boolean isVisible(final NakedReference target) {
        return true;
    }
    
    public Object getDefault(
            NakedObject nakedObject) {
        return null;
    }
    
    public void toDefault(NakedObject target) {}

    public Object getExtension(
            Class cls) {
        return null;
    }

    public Class[] getExtensions() {
        return new Class[]{};
    }


}
// Copyright (c) Naked Objects Group Ltd.
