package org.nakedobjects.nof.reflect.remote.data;



public class DummyNullValue implements NullData {
    private String type;

    public DummyNullValue(final String type) {
        super();
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public boolean equals(final Object obj) {
        if (obj == this) {
            return true;
        }

        if (obj instanceof DummyNullValue) {
            DummyNullValue ref = (DummyNullValue) obj;
            return type == null ? ref.type == null : type.equals(ref.type);
        }
        return false;
    }
}
// Copyright (c) Naked Objects Group Ltd.
