package test.org.nakedobjects.object.reflect;

import org.nakedobjects.noa.spec.NakedObjectSpecification;
import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


public class DummyIdentifier implements MemberIdentifier {

    private final String name;

    public DummyIdentifier(final String name) {
        this.name = name;
    }

    public DummyIdentifier() {
        this("");
    }

    public String getClassName() {
        return null;
    }

    public String getName() {
        return name;
    }

    public String[] getParameters() {
        return null;
    }

    public String toString() {
        return "#" + name;
    }

    public boolean isField() {
        return true;
    }

    public int compareTo(Object o2) {
        return toString().compareTo(o2.toString());
    }

    public String toIdentityString(final int depth) {
        return "#" + name;
    }

    public NakedObjectSpecification[] getParameterSpecifications() {
        return null;
    }

}
// Copyright (c) Naked Objects Group Ltd.
