package test.org.nakedobjects.object.reflect;

import java.util.Vector;


public class TestPojo {
    private int value;
    private Object reference;
    private Vector collection = new Vector();

    public TestPojo(final int value, final Object reference, final Object[] elements) {
        this.value = value;
        this.reference = reference;
        for (int j = 0; j < elements.length; j++) {
            collection.addElement(elements[value]);
        }
    }

    public TestPojo() {}

    public int getValue() {
        return value;
    }

    public void setValue(final int value) {
        this.value = value;
    }

    public void setReference(final Object reference) {
        this.reference = reference;
    }

    public Object getReference() {
        return reference;
    }

    public Vector getCollection() {
        return collection;
    }

}
// Copyright (c) Naked Objects Group Ltd.
